--
-- RiftTool.lua
-- For use with: Rift
-- (c) tgwaste, All rights reserved
--


-- events
--
table.insert(Event.Addon.Load.End, {init, app, "Event.Addon.Load.Begin"})
table.insert(Event.Combat.Death, {updateDPS, app, "Event.Combat.Death"})
table.insert(Event.Combat.Damage, {updateDPS, app, "Event.Combat.Damage"})
table.insert(Event.System.Secure.Leave, {updateDPS, app, "Event.System.Secure.Leave"})
table.insert(Event.Unit.Detail.Combat, {updateDPS, app, "Event.Unit.Detail.Combat"})
table.insert(Event.Unit.Detail.Vitality, {updateVitality, app, "Event.Unit.Detail.Vitality"})
--table.insert(Event.System.Update.Begin, {updateVitality, app, "Event.System.Update.Begin"})
table.insert(Event.Unit.Detail.Coord, {updateCoords, app, "Event.Unit.Detail.Coord"})
table.insert(Event.Quest.Abandon, {updateCarnage, app, "Event.Quest.Abandon"})
table.insert(Event.Quest.Accept, {updateCarnage, app, "Event.Quest.Accept"})
table.insert(Event.Quest.Change, {updateCarnage, app, "Event.Quest.Change"})
table.insert(Event.Quest.Complete, {updateCarnage, app, "Event.Quest.Complete"})
table.insert(Command.Slash.Register("rt"),{Commands, app, "Slash Commands"})

table.insert(Event.Ability.New.Usable.True, {testFunction, app, "Event.Ability.New.Usable.True"})
table.insert(Event.Ability.New.Target, {updateDPS, app, "Event.Ability.New.Target"})
table.insert(Event.Currency, {updateCurrency, app, "Event.Currency"})
